This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 764636 - (GLUSTER-2904) glusterd should have upgrade/downgrade xlator options
glusterd should have upgrade/downgrade xlator options
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
mainline
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: shishir gowda
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-16 07:53 EDT by shishir gowda
Modified: 2015-12-01 11:45 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description shishir gowda 2011-05-16 07:53:08 EDT
These options can be used during installation.

Currently upgrade when set to on will re-write the brick vol files.
downgrade option is not functional yet.
Comment 1 Anand Avati 2011-05-31 10:17:53 EDT
PATCH: http://patches.gluster.com/patch/7301 in master (build : with rpm install invoke glusterd upgrade option to modify vol files and start)
Comment 2 Anand Avati 2011-05-31 10:18:03 EDT
PATCH: http://patches.gluster.com/patch/7304 in release-3.2 (build : with rpm install invoke glusterd upgrade option to modify vol files and start)
Comment 3 Anand Avati 2011-05-31 22:52:12 EDT
PATCH: http://patches.gluster.com/patch/7273 in master (glusterd: add upgrade/downgrade xlator options)
Comment 4 Anand Avati 2011-05-31 22:52:28 EDT
PATCH: http://patches.gluster.com/patch/7272 in release-3.2 (glusterd: add upgrade/downgrade xlator options)
Comment 5 Raghavendra Bhat 2011-06-03 00:02:01 EDT
Created a volume with 3.1.3 glusterfs. The server volume files did not have the marker xlator loaded. Then killed glusterd and started the glusterfs-3.2.1qa2 glusterd with the following command.

glusterd --xlator-option *.upgrade=on

The server volfiles were updated and marker xlator was loaded in the volfile.
Comment 6 Anand Avati 2011-06-17 08:34:14 EDT
PATCH: http://patches.gluster.com/patch/7543 in release-3.1 (mgmt/glusterd: add upgrade/downgrade xlator options)
Comment 7 Anand Avati 2011-06-17 08:34:25 EDT
PATCH: http://patches.gluster.com/patch/7542 in release-3.1 (build : with rpm install invoke glusterd upgrade option to modify vol files and start)

Note You need to log in before you can comment on or make changes to this bug.